package com.ruoyi.ehsRisk.domain;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 风险信息对象 ehs_risk
 *
 * @author ruoyi
 * @date 2023-11-30
 */
@Data
@ToString
@NoArgsConstructor
@Accessors(chain = true)
@TableName("ehs_risk")
public class EhsRisk extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(type= IdType.AUTO)
    private Long riskId;

    /** 风险点等级 */
    @Excel(name = "风险点等级")
    private Long riskGrade;

    /** 上报地址类别 */
    @Excel(name = "上报地址类别")
    private String reportAddressType;

    /** 风险点位置 */
    @Excel(name = "风险点位置")
    private String riskLocation;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String tel;

    /** 涉及群众数量 */
    @Excel(name = "涉及群众数量")
    private String peopleQuantity;

    /** 预备物资数量 */
    @Excel(name = "预备物资数量")
    private String materialsQuantity;

    /** 抢修队伍人员 */
    @Excel(name = "抢修队伍人员")
    private String repairTeam;

    /** 责任人 */
    @Excel(name = "责任人")
    private String personResponsible;

    /** 乡级责任人 */
    @Excel(name = "乡级责任人")
    private String villagePersonResponsible;

    /** 村级责任人 */
    @Excel(name = "村级责任人")
    private String villagePersonResponsible2;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String tel2;
}
